// A simple example of reading a JSON object over the internet
// by making a kind of "internet function call".  More information
// about the White House's JSON feeds here:
//
// https://www.whitehouse.gov/developers/policy-snapshots-json-feed
//
// You should also try to open the URL below in your web browser to
// look at the raw data you get back, which Processing is dealing
// with on your behalf.
//
// Note that this feed actually returns a JSONArray, not a 
// JSONObject.  We have to be ready for that, and so we use
// loadJSONArray() rather than loadJSONObject().

void setup()
{
  JSONArray arr = loadJSONArray( "https://www.whitehouse.gov/facts/json/whatsnext/education" );
  for( int idx = 0; idx < arr.size(); ++idx ) {
    println( arr.getJSONObject( idx ).getString( "body" ) );
    println();
  }
}